commit f150aab5e67a545824004a49277c82f66c0c4651
Author: Robert Haschke <rhaschke@techfak.uni-bielefeld.de>
Date:   Sat Nov 14 14:57:52 2020 +0100

    clang-format-10

diff --git a/.clang-format b/.clang-format
new file mode 100644
index 0000000..afedfbc
--- /dev/null
+++ b/.clang-format
@@ -0,0 +1,75 @@
+---
+BasedOnStyle:  Google
+ColumnLimit:    125
+MaxEmptyLinesToKeep: 1
+SortIncludes: false
+
+Standard:        Auto
+IndentWidth:     3
+TabWidth:        3
+UseTab:          ForIndentation
+AccessModifierOffset: -3
+ConstructorInitializerIndentWidth: 3
+NamespaceIndentation: None
+ContinuationIndentWidth: 3
+IndentCaseLabels: true
+IndentFunctionDeclarationAfterType: false
+
+AlignEscapedNewlinesLeft: false
+AlignTrailingComments: true
+
+AllowAllParametersOfDeclarationOnNextLine: false
+ExperimentalAutoDetectBinPacking: false
+ObjCSpaceBeforeProtocolList: true
+Cpp11BracedListStyle: false
+
+AllowShortBlocksOnASingleLine: true
+AllowShortIfStatementsOnASingleLine: false
+AllowShortLoopsOnASingleLine: false
+AllowShortFunctionsOnASingleLine: None
+AllowShortCaseLabelsOnASingleLine: false
+
+AlwaysBreakTemplateDeclarations: true
+AlwaysBreakBeforeMultilineStrings: false
+BreakBeforeBinaryOperators: false
+BreakBeforeTernaryOperators: false
+BreakConstructorInitializersBeforeComma: true
+
+BinPackParameters: true
+ConstructorInitializerAllOnOneLineOrOnePerLine: true
+DerivePointerBinding: false
+PointerBindsToType: true
+
+PenaltyExcessCharacter: 50
+PenaltyBreakBeforeFirstCallParameter: 30
+PenaltyBreakComment: 1000
+PenaltyBreakFirstLessLess: 10
+PenaltyBreakString: 100
+PenaltyReturnTypeOnItsOwnLine: 50
+
+SpacesBeforeTrailingComments: 1
+SpacesInParentheses: false
+SpacesInAngles:  false
+SpaceInEmptyParentheses: false
+SpacesInCStyleCastParentheses: false
+SpaceAfterCStyleCast: false
+SpaceAfterControlStatementKeyword: true
+SpaceBeforeAssignmentOperators: true
+
+# Configure each individual brace in BraceWrapping
+BreakBeforeBraces: Custom
+
+# Control of individual brace wrapping cases
+BraceWrapping:
+    AfterCaseLabel: true
+    AfterClass: false
+    AfterControlStatement: false
+    AfterEnum: true
+    AfterFunction: false
+    AfterNamespace: false
+    AfterStruct: false
+    AfterUnion: false
+    BeforeCatch: true
+    BeforeElse: true
+    IndentBraces: false
+...
diff --git a/client/cpp/include/Middleware.h b/client/cpp/include/Middleware.h
index 84f344d..ca71213 100644
--- a/client/cpp/include/Middleware.h
+++ b/client/cpp/include/Middleware.h
@@ -1,35 +1,35 @@
 /*
-* This file is part of hlrc
-*
-* Copyright(c) sschulz <AT> techfak.uni-bielefeld.de
-* http://opensource.cit-ec.de/projects/hlrc
-*
-* This file may be licensed under the terms of the
-* GNU General Public License Version 3 (the ``GPL''),
-* or (at your option) any later version.
-*
-* Software distributed under the License is distributed
-* on an ``AS IS'' basis, WITHOUT WARRANTY OF ANY KIND, either
-* express or implied. See the GPL for the specific language
-* governing rights and limitations.
-*
-* You should have received a copy of the GPL along with this
-* program. If not, go to http://www.gnu.org/licenses/gpl.html
-* or write to the Free Software Foundation, Inc.,
-* 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
-*
-* The development of this software was supported by the
-* Excellence Cluster EXC 277 Cognitive Interaction Technology.
-* The Excellence Cluster EXC 277 is a grant of the Deutsche
-* Forschungsgemeinschaft (DFG) in the context of the German
-* Excellence Initiative.
-*
-*/
+ * This file is part of hlrc
+ *
+ * Copyright(c) sschulz <AT> techfak.uni-bielefeld.de
+ * http://opensource.cit-ec.de/projects/hlrc
+ *
+ * This file may be licensed under the terms of the
+ * GNU General Public License Version 3 (the ``GPL''),
+ * or (at your option) any later version.
+ *
+ * Software distributed under the License is distributed
+ * on an ``AS IS'' basis, WITHOUT WARRANTY OF ANY KIND, either
+ * express or implied. See the GPL for the specific language
+ * governing rights and limitations.
+ *
+ * You should have received a copy of the GPL along with this
+ * program. If not, go to http://www.gnu.org/licenses/gpl.html
+ * or write to the Free Software Foundation, Inc.,
+ * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
+ *
+ * The development of this software was supported by the
+ * Excellence Cluster EXC 277 Cognitive Interaction Technology.
+ * The Excellence Cluster EXC 277 is a grant of the Deutsche
+ * Forschungsgemeinschaft (DFG) in the context of the German
+ * Excellence Initiative.
+ *
+ */
 #pragma once
 
 //*********************************************************************************
-//allow direct synthesis using inprotk calls. by default this is disabled
-//until inprotk gets to an usable state (e.g. the completion flag has to work)
+// allow direct synthesis using inprotk calls. by default this is disabled
+// until inprotk gets to an usable state (e.g. the completion flag has to work)
 #define USE_INPROTK_SYNTHESIS 0
 //*********************************************************************************
 
@@ -39,44 +39,40 @@
 #include "RobotGaze.h"
 #include "RobotMouth.h"
 
-class Middleware{
+class Middleware {
 public:
-    Middleware(std::string scope);
+	Middleware(std::string scope);
 
-    void set_default_emotion(RobotEmotion e, bool blocking);
-    void set_current_emotion(RobotEmotion e, bool blocking);
-    void set_gaze_target(RobotGaze target, bool blocking);
-    void set_lookat_target(float x, float y, float z, const std::string frame_id,
-                           bool blocking, float roll);
-    void set_mouth_target(RobotMouth target, bool blocking);
-    void set_head_animation(RobotHeadAnimation a, bool blocking);
-    void set_speak(std::string text, bool blocking);
+	void set_default_emotion(RobotEmotion e, bool blocking);
+	void set_current_emotion(RobotEmotion e, bool blocking);
+	void set_gaze_target(RobotGaze target, bool blocking);
+	void set_lookat_target(float x, float y, float z, const std::string frame_id, bool blocking, float roll);
+	void set_mouth_target(RobotMouth target, bool blocking);
+	void set_head_animation(RobotHeadAnimation a, bool blocking);
+	void set_speak(std::string text, bool blocking);
 
-    RobotEmotion get_current_emotion();
-    RobotEmotion get_default_emotion();
-    RobotGaze get_gaze_target();
+	RobotEmotion get_current_emotion();
+	RobotEmotion get_default_emotion();
+	RobotGaze get_gaze_target();
 
 protected:
-    virtual void init() = 0;
-    virtual void publish_default_emotion(RobotEmotion e, bool blocking) = 0;
-    virtual void publish_current_emotion(RobotEmotion e, bool blocking) = 0;
-    virtual void publish_gaze_target(RobotGaze g, bool blocking) = 0;
-    virtual void publish_lookat_target(float x, float y, float z, const std::string frame_id,
-                                       bool blocking, float roll) = 0;
-    virtual void publish_mouth_target(RobotMouth m, bool blocking) = 0;
-    virtual void publish_head_animation(RobotHeadAnimation a, bool blocking) = 0;
-    virtual void publish_speech(std::string text, bool blocking) = 0;
+	virtual void init() = 0;
+	virtual void publish_default_emotion(RobotEmotion e, bool blocking) = 0;
+	virtual void publish_current_emotion(RobotEmotion e, bool blocking) = 0;
+	virtual void publish_gaze_target(RobotGaze g, bool blocking) = 0;
+	virtual void publish_lookat_target(float x, float y, float z, const std::string frame_id, bool blocking, float roll) = 0;
+	virtual void publish_mouth_target(RobotMouth m, bool blocking) = 0;
+	virtual void publish_head_animation(RobotHeadAnimation a, bool blocking) = 0;
+	virtual void publish_speech(std::string text, bool blocking) = 0;
 
-    std::string base_scope;
+	std::string base_scope;
 
 private:
-    RobotEmotion defaultEmotion;
-    RobotEmotion currentEmotion;
+	RobotEmotion defaultEmotion;
+	RobotEmotion currentEmotion;
 
-    RobotGaze gazeTarget;
-    RobotMouth mouthTarget;
+	RobotGaze gazeTarget;
+	RobotMouth mouthTarget;
 
-    RobotHeadAnimation headAnimation;
+	RobotHeadAnimation headAnimation;
 };
-
-
diff --git a/client/cpp/include/MiddlewareROS.h b/client/cpp/include/MiddlewareROS.h
index f726354..5e25c6e 100644
--- a/client/cpp/include/MiddlewareROS.h
+++ b/client/cpp/include/MiddlewareROS.h
@@ -1,97 +1,95 @@
 /*
-* This file is part of hlrc
-*
-* Copyright(c) sschulz <AT> techfak.uni-bielefeld.de
-* http://opensource.cit-ec.de/projects/hlrc
-*
-* This file may be licensed under the terms of the
-* GNU General Public License Version 3 (the ``GPL''),
-* or (at your option) any later version.
-*
-* Software distributed under the License is distributed
-* on an ``AS IS'' basis, WITHOUT WARRANTY OF ANY KIND, either
-* express or implied. See the GPL for the specific language
-* governing rights and limitations.
-*
-* You should have received a copy of the GPL along with this
-* program. If not, go to http://www.gnu.org/licenses/gpl.html
-* or write to the Free Software Foundation, Inc.,
-* 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
-*
-* The development of this software was supported by the
-* Excellence Cluster EXC 277 Cognitive Interaction Technology.
-* The Excellence Cluster EXC 277 is a grant of the Deutsche
-* Forschungsgemeinschaft (DFG) in the context of the German
-* Excellence Initiative.
-*
-*/
+ * This file is part of hlrc
+ *
+ * Copyright(c) sschulz <AT> techfak.uni-bielefeld.de
+ * http://opensource.cit-ec.de/projects/hlrc
+ *
+ * This file may be licensed under the terms of the
+ * GNU General Public License Version 3 (the ``GPL''),
+ * or (at your option) any later version.
+ *
+ * Software distributed under the License is distributed
+ * on an ``AS IS'' basis, WITHOUT WARRANTY OF ANY KIND, either
+ * express or implied. See the GPL for the specific language
+ * governing rights and limitations.
+ *
+ * You should have received a copy of the GPL along with this
+ * program. If not, go to http://www.gnu.org/licenses/gpl.html
+ * or write to the Free Software Foundation, Inc.,
+ * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
+ *
+ * The development of this software was supported by the
+ * Excellence Cluster EXC 277 Cognitive Interaction Technology.
+ * The Excellence Cluster EXC 277 is a grant of the Deutsche
+ * Forschungsgemeinschaft (DFG) in the context of the German
+ * Excellence Initiative.
+ *
+ */
 
 #pragma once
 
 #include "Middleware.h"
 #if ROS_SUPPORT
-    #include "ros/ros.h"
-    //ros messages
-    #include <hlrc_server/phoneme.h>
-    #include <hlrc_server/soundchunk.h>
-    #include <hlrc_server/gazetargetAction.h>
-    #include <hlrc_server/lookattargetAction.h>
-    #include <hlrc_server/animationAction.h>
-    #include <hlrc_server/mouthtargetAction.h>
-    #include <hlrc_server/utteranceAction.h>
-    #include <hlrc_server/emotionstateAction.h>
-    #include <hlrc_server/speechAction.h>
-    #include <actionlib/client/simple_action_client.h>
-    #include <actionlib/client/terminal_state.h>
-    #include <boost/shared_ptr.hpp>
+#include "ros/ros.h"
+// ros messages
+#include <hlrc_server/phoneme.h>
+#include <hlrc_server/soundchunk.h>
+#include <hlrc_server/gazetargetAction.h>
+#include <hlrc_server/lookattargetAction.h>
+#include <hlrc_server/animationAction.h>
+#include <hlrc_server/mouthtargetAction.h>
+#include <hlrc_server/utteranceAction.h>
+#include <hlrc_server/emotionstateAction.h>
+#include <hlrc_server/speechAction.h>
+#include <actionlib/client/simple_action_client.h>
+#include <actionlib/client/terminal_state.h>
+#include <boost/shared_ptr.hpp>
 #endif
 
 #define ROS_ACTION_CALL_TIMEOUT 30.0
 
-class MiddlewareROS : public Middleware{
+class MiddlewareROS : public Middleware {
 #ifndef ROS_SUPPORT
 public:
-    MiddlewareROS(std::string scope) : Middleware(scope){
-        printf("> ERROR: hlrc was compiled without ROS middleware support. Please use MiddlewareRSB() instead!\n\n");
-        exit(EXIT_FAILURE);
-    }
+	MiddlewareROS(std::string scope) : Middleware(scope) {
+		printf("> ERROR: hlrc was compiled without ROS middleware support. Please use MiddlewareRSB() instead!\n\n");
+		exit(EXIT_FAILURE);
+	}
 
-    void init(){};
-    void publish_default_emotion(RobotEmotion e, bool blocking){};
-    void publish_current_emotion(RobotEmotion e, bool blocking){};
-    void publish_gaze_target(RobotGaze g, bool blocking){};
-    void publish_lookat_target(float x, float y, float z, const std::string frame_id,
-                               bool blocking, float roll){};
-    void publish_mouth_target(RobotMouth m, bool blocking){};
-    void publish_head_animation(RobotHeadAnimation a, bool blocking) {};
-    void publish_speech(std::string text, bool blocking) {};
+	void init(){};
+	void publish_default_emotion(RobotEmotion e, bool blocking){};
+	void publish_current_emotion(RobotEmotion e, bool blocking){};
+	void publish_gaze_target(RobotGaze g, bool blocking){};
+	void publish_lookat_target(float x, float y, float z, const std::string frame_id, bool blocking, float roll){};
+	void publish_mouth_target(RobotMouth m, bool blocking){};
+	void publish_head_animation(RobotHeadAnimation a, bool blocking){};
+	void publish_speech(std::string text, bool blocking){};
 
 #else
 public:
-    MiddlewareROS(std::string scope);
+	MiddlewareROS(std::string scope);
 
 protected:
-    void init();
-    void publish_current_emotion(RobotEmotion e, bool blocking);
-    void publish_default_emotion(RobotEmotion e, bool blocking);
-    void publish_gaze_target(RobotGaze target, bool blocking);
-    void publish_lookat_target(float x, float y, float z, const std::string frame_id,
-                               bool blocking, float roll);
-    void publish_mouth_target(RobotMouth target, bool blocking);
-    void publish_head_animation(RobotHeadAnimation a, bool blocking);
-    void publish_speech(std::string text, bool blocking);
+	void init();
+	void publish_current_emotion(RobotEmotion e, bool blocking);
+	void publish_default_emotion(RobotEmotion e, bool blocking);
+	void publish_gaze_target(RobotGaze target, bool blocking);
+	void publish_lookat_target(float x, float y, float z, const std::string frame_id, bool blocking, float roll);
+	void publish_mouth_target(RobotMouth target, bool blocking);
+	void publish_head_animation(RobotHeadAnimation a, bool blocking);
+	void publish_speech(std::string text, bool blocking);
 
 private:
-    void publish_emotion(std::string scope_target, RobotEmotion e, bool blocking);
-    void check_service(ros::ServiceClient *service);
+	void publish_emotion(std::string scope_target, RobotEmotion e, bool blocking);
+	void check_service(ros::ServiceClient* service);
 
-    actionlib::SimpleActionClient<hlrc_server::animationAction>     *animation_ac;
-    actionlib::SimpleActionClient<hlrc_server::utteranceAction>     *utterance_ac;
-    actionlib::SimpleActionClient<hlrc_server::emotionstateAction>  *default_emotionstate_ac;
-    actionlib::SimpleActionClient<hlrc_server::emotionstateAction>  *current_emotionstate_ac;
-    actionlib::SimpleActionClient<hlrc_server::gazetargetAction>    *gazetarget_ac;
-    actionlib::SimpleActionClient<hlrc_server::lookattargetAction>  *lookattarget_ac;
-    actionlib::SimpleActionClient<hlrc_server::mouthtargetAction>   *mouthtarget_ac;
-    actionlib::SimpleActionClient<hlrc_server::speechAction>        *speech_ac;
+	actionlib::SimpleActionClient<hlrc_server::animationAction>* animation_ac;
+	actionlib::SimpleActionClient<hlrc_server::utteranceAction>* utterance_ac;
+	actionlib::SimpleActionClient<hlrc_server::emotionstateAction>* default_emotionstate_ac;
+	actionlib::SimpleActionClient<hlrc_server::emotionstateAction>* current_emotionstate_ac;
+	actionlib::SimpleActionClient<hlrc_server::gazetargetAction>* gazetarget_ac;
+	actionlib::SimpleActionClient<hlrc_server::lookattargetAction>* lookattarget_ac;
+	actionlib::SimpleActionClient<hlrc_server::mouthtargetAction>* mouthtarget_ac;
+	actionlib::SimpleActionClient<hlrc_server::speechAction>* speech_ac;
 #endif
 };
diff --git a/client/cpp/include/MiddlewareRSB.h b/client/cpp/include/MiddlewareRSB.h
index a742f13..a724ae6 100644
--- a/client/cpp/include/MiddlewareRSB.h
+++ b/client/cpp/include/MiddlewareRSB.h
@@ -1,103 +1,98 @@
 /*
-* This file is part of hlrc
-*
-* Copyright(c) sschulz <AT> techfak.uni-bielefeld.de
-* http://opensource.cit-ec.de/projects/hlrc
-*
-* This file may be licensed under the terms of the
-* GNU General Public License Version 3 (the ``GPL''),
-* or (at your option) any later version.
-*
-* Software distributed under the License is distributed
-* on an ``AS IS'' basis, WITHOUT WARRANTY OF ANY KIND, either
-* express or implied. See the GPL for the specific language
-* governing rights and limitations.
-*
-* You should have received a copy of the GPL along with this
-* program. If not, go to http://www.gnu.org/licenses/gpl.html
-* or write to the Free Software Foundation, Inc.,
-* 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
-*
-* The development of this software was supported by the
-* Excellence Cluster EXC 277 Cognitive Interaction Technology.
-* The Excellence Cluster EXC 277 is a grant of the Deutsche
-* Forschungsgemeinschaft (DFG) in the context of the German
-* Excellence Initiative.
-*
-*/
+ * This file is part of hlrc
+ *
+ * Copyright(c) sschulz <AT> techfak.uni-bielefeld.de
+ * http://opensource.cit-ec.de/projects/hlrc
+ *
+ * This file may be licensed under the terms of the
+ * GNU General Public License Version 3 (the ``GPL''),
+ * or (at your option) any later version.
+ *
+ * Software distributed under the License is distributed
+ * on an ``AS IS'' basis, WITHOUT WARRANTY OF ANY KIND, either
+ * express or implied. See the GPL for the specific language
+ * governing rights and limitations.
+ *
+ * You should have received a copy of the GPL along with this
+ * program. If not, go to http://www.gnu.org/licenses/gpl.html
+ * or write to the Free Software Foundation, Inc.,
+ * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
+ *
+ * The development of this software was supported by the
+ * Excellence Cluster EXC 277 Cognitive Interaction Technology.
+ * The Excellence Cluster EXC 277 is a grant of the Deutsche
+ * Forschungsgemeinschaft (DFG) in the context of the German
+ * Excellence Initiative.
+ *
+ */
 
 #pragma once
 #include "Middleware.h"
 #ifdef RSB_SUPPORT
-    #define BOOST_SIGNALS_NO_DEPRECATION_WARNING //mute warnings from RSB
-    #include <rsb/Factory.h>
-    #include <rsb/Informer.h>
-    #include <rsb/Listener.h>
+#define BOOST_SIGNALS_NO_DEPRECATION_WARNING // mute warnings from RSB
+#include <rsb/Factory.h>
+#include <rsb/Informer.h>
+#include <rsb/Listener.h>
 
-    #if USE_INPROTK_SYNTHESIS
-    #include <rst/communicationpatterns/TaskState.pb.h>
-    #endif
+#if USE_INPROTK_SYNTHESIS
+#include <rst/communicationpatterns/TaskState.pb.h>
+#endif
 #endif
 
-class MiddlewareRSB : public Middleware{
+class MiddlewareRSB : public Middleware {
 #ifndef RSB_SUPPORT
 public:
-    MiddlewareRSB(std::string scope) : Middleware(scope){
-        printf("> ERROR: hlrc was compiled without RSB middleware support. Please use MiddlewareROS() instead!\n\n");
-        exit(EXIT_FAILURE);
-    }
-
-    void init(){};
-    void publish_default_emotion(RobotEmotion e, bool blocking){};
-    void publish_current_emotion(RobotEmotion e, bool blocking){};
-    void publish_gaze_target(RobotGaze g, bool blocking){};
-    void publish_lookat_target(float x, float y, float z, const std::string frame_id,
-                               bool blocking, float roll){};
-    void publish_mouth_target(RobotMouth m, bool blocking){};
-    void publish_head_animation(RobotHeadAnimation a, bool blocking) {};
-    void publish_speech(std::string text, bool blocking) {};
+	MiddlewareRSB(std::string scope) : Middleware(scope) {
+		printf("> ERROR: hlrc was compiled without RSB middleware support. Please use MiddlewareROS() instead!\n\n");
+		exit(EXIT_FAILURE);
+	}
 
+	void init(){};
+	void publish_default_emotion(RobotEmotion e, bool blocking){};
+	void publish_current_emotion(RobotEmotion e, bool blocking){};
+	void publish_gaze_target(RobotGaze g, bool blocking){};
+	void publish_lookat_target(float x, float y, float z, const std::string frame_id, bool blocking, float roll){};
+	void publish_mouth_target(RobotMouth m, bool blocking){};
+	void publish_head_animation(RobotHeadAnimation a, bool blocking){};
+	void publish_speech(std::string text, bool blocking){};
 
 #else
 public:
-    MiddlewareRSB(std::string scope);
-
+	MiddlewareRSB(std::string scope);
 
 protected:
-    void init();
-    void publish_current_emotion(RobotEmotion e, bool blocking);
-    void publish_default_emotion(RobotEmotion e, bool blocking);
-    void publish_gaze_target(RobotGaze target, bool blocking);
-    void publish_lookat_target(float x, float y, float z, const std::string frame_id,
-                               bool blocking, float roll);
-    void publish_mouth_target(RobotMouth target, bool blocking);
-    void publish_head_animation(RobotHeadAnimation a, bool blocking);
-    void publish_speech(std::string text, bool blocking);
+	void init();
+	void publish_current_emotion(RobotEmotion e, bool blocking);
+	void publish_default_emotion(RobotEmotion e, bool blocking);
+	void publish_gaze_target(RobotGaze target, bool blocking);
+	void publish_lookat_target(float x, float y, float z, const std::string frame_id, bool blocking, float roll);
+	void publish_mouth_target(RobotMouth target, bool blocking);
+	void publish_head_animation(RobotHeadAnimation a, bool blocking);
+	void publish_speech(std::string text, bool blocking);
 
 private:
-    void publish_emotion(std::string scope_target, RobotEmotion e, bool blocking);
+	void publish_emotion(std::string scope_target, RobotEmotion e, bool blocking);
 
-    //rsb::patterns::RemoteServerPtr inprotk_server;
-    rsb::patterns::RemoteServerPtr hlrc_server;
-    //rsb::patterns::LocalServerPtr inprotk_server;
+	// rsb::patterns::RemoteServerPtr inprotk_server;
+	rsb::patterns::RemoteServerPtr hlrc_server;
+	// rsb::patterns::LocalServerPtr inprotk_server;
 #if USE_INPROTK_SYNTHESIS
-    rsb::Informer<rst::communicationpatterns::TaskState>::Ptr inprotk_informer;
-    rsb::ListenerPtr inprotk_listener;
-    rsb::ListenerPtr hack_listener;
+	rsb::Informer<rst::communicationpatterns::TaskState>::Ptr inprotk_informer;
+	rsb::ListenerPtr inprotk_listener;
+	rsb::ListenerPtr hack_listener;
 
-    boost::mutex pending_tasks_mutex;
-    std::vector<boost::shared_ptr<rst::communicationpatterns::TaskState>> pending_tasks;
-    unsigned int say_task_active;
-    unsigned int say_task_done;
+	boost::mutex pending_tasks_mutex;
+	std::vector<boost::shared_ptr<rst::communicationpatterns::TaskState> > pending_tasks;
+	unsigned int say_task_active;
+	unsigned int say_task_done;
 
-    boost::mutex current_saytask_mutex;
-    std::string current_saytask;
-    std::string get_current_saytask();
-    void set_current_saytask(std::string text);
+	boost::mutex current_saytask_mutex;
+	std::string current_saytask;
+	std::string get_current_saytask();
+	void set_current_saytask(std::string text);
 
-    void check_for_inprotk();
-    void incoming_hack(boost::shared_ptr<std::string> finished_task);
+	void check_for_inprotk();
+	void incoming_hack(boost::shared_ptr<std::string> finished_task);
 #endif
 #endif
 };
-
diff --git a/client/cpp/include/RobotController.h b/client/cpp/include/RobotController.h
index 552ff32..b23025d 100644
--- a/client/cpp/include/RobotController.h
+++ b/client/cpp/include/RobotController.h
@@ -1,30 +1,30 @@
 /*
-* This file is part of hlrc
-*
-* Copyright(c) sschulz <AT> techfak.uni-bielefeld.de
-* http://opensource.cit-ec.de/projects/hlrc
-*
-* This file may be licensed under the terms of the
-* GNU General Public License Version 3 (the ``GPL''),
-* or (at your option) any later version.
-*
-* Software distributed under the License is distributed
-* on an ``AS IS'' basis, WITHOUT WARRANTY OF ANY KIND, either
-* express or implied. See the GPL for the specific language
-* governing rights and limitations.
-*
-* You should have received a copy of the GPL along with this
-* program. If not, go to http://www.gnu.org/licenses/gpl.html
-* or write to the Free Software Foundation, Inc.,
-* 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
-*
-* The development of this software was supported by the
-* Excellence Cluster EXC 277 Cognitive Interaction Technology.
-* The Excellence Cluster EXC 277 is a grant of the Deutsche
-* Forschungsgemeinschaft (DFG) in the context of the German
-* Excellence Initiative.
-*
-*/
+ * This file is part of hlrc
+ *
+ * Copyright(c) sschulz <AT> techfak.uni-bielefeld.de
+ * http://opensource.cit-ec.de/projects/hlrc
+ *
+ * This file may be licensed under the terms of the
+ * GNU General Public License Version 3 (the ``GPL''),
+ * or (at your option) any later version.
+ *
+ * Software distributed under the License is distributed
+ * on an ``AS IS'' basis, WITHOUT WARRANTY OF ANY KIND, either
+ * express or implied. See the GPL for the specific language
+ * governing rights and limitations.
+ *
+ * You should have received a copy of the GPL along with this
+ * program. If not, go to http://www.gnu.org/licenses/gpl.html
+ * or write to the Free Software Foundation, Inc.,
+ * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
+ *
+ * The development of this software was supported by the
+ * Excellence Cluster EXC 277 Cognitive Interaction Technology.
+ * The Excellence Cluster EXC 277 is a grant of the Deutsche
+ * Forschungsgemeinschaft (DFG) in the context of the German
+ * Excellence Initiative.
+ *
+ */
 
 #pragma once
 #include <string>
@@ -35,26 +35,23 @@
 
 class Middleware;
 
-class RobotController{
+class RobotController {
 public:
-    RobotController(std::string middleware, std::string scope);
+	RobotController(std::string middleware, std::string scope);
 
-    void set_default_emotion(RobotEmotion e, bool blocking=false);
-    void set_current_emotion(RobotEmotion e, bool blocking=false);
+	void set_default_emotion(RobotEmotion e, bool blocking = false);
+	void set_current_emotion(RobotEmotion e, bool blocking = false);
 
-    void set_gaze_target(RobotGaze target, bool blocking=false);
-    RobotGaze get_gaze_target();
-    void set_lookat_target(float x, float y, float z, const std::string frame_id="",
-                           bool blocking=false, float roll=0.0);
+	void set_gaze_target(RobotGaze target, bool blocking = false);
+	RobotGaze get_gaze_target();
+	void set_lookat_target(float x, float y, float z, const std::string frame_id = "", bool blocking = false,
+	                       float roll = 0.0);
 
-    void set_mouth_target(RobotMouth target, bool blocking=false);
+	void set_mouth_target(RobotMouth target, bool blocking = false);
 
-    void set_head_animation(RobotHeadAnimation a, bool blocking=false);
-    void set_speak(std::string text, bool blocking=false);
+	void set_head_animation(RobotHeadAnimation a, bool blocking = false);
+	void set_speak(std::string text, bool blocking = false);
 
 private:
-    Middleware *middleware;
-
+	Middleware* middleware;
 };
-
-
diff --git a/client/cpp/include/RobotGaze.h b/client/cpp/include/RobotGaze.h
index ac01c71..0206251 100644
--- a/client/cpp/include/RobotGaze.h
+++ b/client/cpp/include/RobotGaze.h
@@ -1,63 +1,63 @@
 /*
-* This file is part of hlrc
-*
-* Copyright(c) sschulz <AT> techfak.uni-bielefeld.de
-* http://opensource.cit-ec.de/projects/hlrc
-*
-* This file may be licensed under the terms of the
-* GNU General Public License Version 3 (the ``GPL''),
-* or (at your option) any later version.
-*
-* Software distributed under the License is distributed
-* on an ``AS IS'' basis, WITHOUT WARRANTY OF ANY KIND, either
-* express or implied. See the GPL for the specific language
-* governing rights and limitations.
-*
-* You should have received a copy of the GPL along with this
-* program. If not, go to http://www.gnu.org/licenses/gpl.html
-* or write to the Free Software Foundation, Inc.,
-* 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
-*
-* The development of this software was supported by the
-* Excellence Cluster EXC 277 Cognitive Interaction Technology.
-* The Excellence Cluster EXC 277 is a grant of the Deutsche
-* Forschungsgemeinschaft (DFG) in the context of the German
-* Excellence Initiative.
-*
-*/
+ * This file is part of hlrc
+ *
+ * Copyright(c) sschulz <AT> techfak.uni-bielefeld.de
+ * http://opensource.cit-ec.de/projects/hlrc
+ *
+ * This file may be licensed under the terms of the
+ * GNU General Public License Version 3 (the ``GPL''),
+ * or (at your option) any later version.
+ *
+ * Software distributed under the License is distributed
+ * on an ``AS IS'' basis, WITHOUT WARRANTY OF ANY KIND, either
+ * express or implied. See the GPL for the specific language
+ * governing rights and limitations.
+ *
+ * You should have received a copy of the GPL along with this
+ * program. If not, go to http://www.gnu.org/licenses/gpl.html
+ * or write to the Free Software Foundation, Inc.,
+ * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
+ *
+ * The development of this software was supported by the
+ * Excellence Cluster EXC 277 Cognitive Interaction Technology.
+ * The Excellence Cluster EXC 277 is a grant of the Deutsche
+ * Forschungsgemeinschaft (DFG) in the context of the German
+ * Excellence Initiative.
+ *
+ */
 
 #pragma once
 #include <time.h>
 #include "RobotTimestamp.h"
 
-class RobotGaze{
+class RobotGaze {
 public:
-    RobotGaze() : gaze_timestamp() {
-        pan = 0.0;
-        tilt = 0.0;
-        roll = 0.0;
-        vergence = 0.0;
-        pan_offset = 0.0;
-        tilt_offset = 0.0;
-        gaze_type = ABSOLUTE;
-    }
+	RobotGaze() : gaze_timestamp() {
+		pan = 0.0;
+		tilt = 0.0;
+		roll = 0.0;
+		vergence = 0.0;
+		pan_offset = 0.0;
+		tilt_offset = 0.0;
+		gaze_type = ABSOLUTE;
+	}
 
-    /*static double now(){
-        //fetch time
-        struct timespec tp;
-        clock_gettime(CLOCK_REALTIME, &tp);
-        return tp.tv_sec+tp.tv_nsec/1000000000.0;
-    };*/
+	/*static double now(){
+	    //fetch time
+	    struct timespec tp;
+	    clock_gettime(CLOCK_REALTIME, &tp);
+	    return tp.tv_sec+tp.tv_nsec/1000000000.0;
+	};*/
 
-    enum {
-        RELATIVE = 0,
-        ABSOLUTE = 1
-    };
+	enum
+	{
+		RELATIVE = 0,
+		ABSOLUTE = 1
+	};
 
-    RobotTimestamp gaze_timestamp;
-    int gaze_type;
+	RobotTimestamp gaze_timestamp;
+	int gaze_type;
 
-    float pan, tilt, roll, vergence;
-    float pan_offset, tilt_offset;
+	float pan, tilt, roll, vergence;
+	float pan_offset, tilt_offset;
 };
-
